---
title: Bitwise AND assignment (&=)
slug: Web/JavaScript/Reference/Operators/Bitwise_AND_assignment
tags:
  - Assignment operator
  - JavaScript
  - Language feature
  - Operator
  - Reference
---
<div>{{jsSidebar("Operators")}}</div>

<p>The bitwise AND assignment operator (<code>&amp;=</code>) uses the binary representation of both operands, does a bitwise AND operation on them and assigns the result to the variable.</p>

<div>{{EmbedInteractiveExample("pages/js/expressions-bitwise-and-assignment.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><strong>Operator:</strong> x &amp;= y
<strong>Meaning:</strong>  x  = x &amp; y
</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Using_bitwise_AND_assignment">Using bitwise AND assignment</h3>

<pre class="brush: js notranslate">let a = 5;
// 5:     00000000000000000000000000000101
// 2:     00000000000000000000000000000010
a &amp;= 2; // 0</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-assignment-operators', 'Assignment operators')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.operators.bitwise_and_assignment")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/JavaScript/Guide/Expressions_and_Operators#Assignment">Assignment operators in the JS guide</a></li>
 <li><a href="/en-US/docs/Web/JavaScript/Reference/Operators/Bitwise_AND">Bitwise AND operator</a></li>
</ul>
